<?php
namespace App\Modules\ReviewDetail\Application;

final class ReviewDetailResponse
{
    public function __construct(
        private string $Id_PassengerReview,
        private string $PassengerReview_Date,
        private string $PassengerReview_Answered,
        private string $PassengerReview_Score,
        private string $PassengerReview_Comment,
        private string $PassengerReview_Values,
        private string $Id_BookingTourPassenger,
        private ?string $Id_Provider,
        private ?string $Provider_BusinessName,
        private ?string $Provider_TradeName,
        private ?string $Provider_NoDocument,
        private ?string $Provider_Address,
        private ?string $Provider_Phone,
        private ?string $Provider_Status,
        private ?string $Provider_ScoreTotal,
        private ?string $Provider_ScoreCant,
        private ?string $Question_Name,
        private ?string $Question_Abrv,
        private ?string $Question_Status,
        private ?string $Question_Type,
        private ?string $Id_TypeProvider
    ) {
    }

    public function id(): string
    {
        return $this->Id_PassengerReview;
    }
    public function date(): string
    {
        return $this->PassengerReview_Date;
    }
    public function answered(): string
    {
        return $this->PassengerReview_Answered;
    }
    public function score(): string
    {
        return $this->PassengerReview_Score;
    }
    public function comment(): string
    {
        return $this->PassengerReview_Comment;
    }
    public function values(): string
    {
        return $this->PassengerReview_Values;
    }
    public function idBookingTourPassenger(): string
    {
        return $this->Id_BookingTourPassenger;
    }
    public function idProvider(): ?string
    {
        return $this->Id_Provider;
    }
    public function providerBusinessName(): ?string
    {
        return $this->Provider_BusinessName;
    }
    public function providerTradeName(): ?string
    {
        return $this->Provider_TradeName;
    }
    public function providerNoDocument(): ?string
    {
        return $this->Provider_NoDocument;
    }
    public function providerAddress(): ?string
    {
        return $this->Provider_Address;
    }
    public function providerPhone(): ?string
    {
        return $this->Provider_Phone;
    }
    public function providerStatus(): ?string
    {
        return $this->Provider_Status;
    }
    public function providerScoreTotal(): ?string
    {
        return $this->Provider_ScoreTotal;
    }
    public function providerScoreCant(): ?string
    {
        return $this->Provider_ScoreCant;
    }
    public function questionName(): ?string
    {
        return $this->Question_Name;
    }
    public function questionAbrv(): ?string
    {
        return $this->Question_Abrv;
    }
    public function questionStatus(): ?string
    {
        return $this->Question_Status;
    }
    public function questionType(): ?string
    {
        return $this->Question_Type;
    }
    public function idTypeProvider(): ?string
    {
        return $this->Id_TypeProvider;
    }
}
